
header {
    /*border: 0px solid red;*/
}

.hero {
    /*border: 2px solid green;*/
}

.banner {
    /*border: 2px solid blue;*/
}

.services {
    /*border: 2px solid darkmagenta;*/
}

.welcome {
    /*border: 2px solid orange;*/
}

.dundonald-services {
    /*border: 2px solid hotpink;*/
}

.symington-services {
    /*border: 2px solid green;*/
}

.explore {
    /*border: 2px solid darkcyan;*/
}

.events {
    /*border: 2px solid fuchsia;*/
}


/*#region Header*/
.header-logo-bar {
    height: 100px;
    background-color: var(--white);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: stretch;
    padding: 0 5rem;
}

    .header-logo-bar .logo-container, .header-logo-bar .socials-container {
        flex-grow: 1;
        flex-basis: 50%;
    }

    .header-logo-bar .logo-container {
        background-image: url(../images/cds-logo.png);
        background-repeat: no-repeat;
        background-size: 80px auto;
        background-position: left center;
        padding-left: 80px;
    }

        .header-logo-bar .logo-container .logo-text {
            width: 250px;
            display: block;
            font-size: 21px;
            line-height: 1.142;
            margin-top: 25px;
        }

    .header-logo-bar .socials-container {
        text-align: right;
    }

        .header-logo-bar .socials-container a.social-link {
            width: 60px;
            height: 60px;
            display: inline-block;
            margin-right: 10px;
            margin-top: 20px;
            background-repeat: no-repeat;
            background-size: 60px auto;
            background-position: center center;
            text-decoration: none;
        }

            .header-logo-bar a.social-link.facebook {
                background-image: url(../images/logo-facebook.png);
            }

            .header-logo-bar a.social-link.instagram {
                background-image: url(../images/logo-instagram.png);
            }

            .header-logo-bar a.social-link.youtube {
                background-image: url(../images/logo-youtube.png);
            }

.header-menu-bar {
    height: 50px;
    background-color: var(--teal);
    text-align: center;
}

/*#endregion*/

/*#region Hero*/

section.hero {
    height: calc(100vh - 250px);
}

.hero-slide {
    width: 100%;
    height: 100%;
    counter-increment: hero-slide;
    background-color: var(--white);
    text-align: center;
    padding-top: 100px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
}

    .hero-slide:before {
        display: none;
        text-align: center;
        content: counter(hero-slide);
    }

    .hero-slide-title {
        font-size: var(--font-size-hero-large);
        margin-bottom: 20px;
        color: var(--white);
        text-shadow: 0px 0px 10px var(--black);
    }

    .hero-slide-subtitle {
        margin-bottom: 20px;
        color: var(--white);
        font-size: var(--font-size-hero-medium);
        text-shadow: 0px 0px 6px var(--black);
    }

        .hero-slide.welcome {
            background-image: url(../images/church-dundonald-2.jpg);
        }

        .hero-slide.vacant {
            background-image: url(../images/church-symington-1.jpg);
        }

        .hero-slide.dundonald-services {
            background-image: url(../images/church-dundonald-1.jpg);
        }

        .hero-slide.symington-services {
            background-image: url(../images/church-symington-2.jpg);
        }

/*#endregion*/

/*#region Banner*/

section.banner {
    /* Properties with !important are that way so nobody can override the style in the content editor */
    height: 50px;
    background-color: var(--teal);
    text-align: center !important;
    font-size: var(--font-size-banner);
    color: var(--white) !important;
    line-height: 50px !important;
    font-weight: 400 !important;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding: 0 20px;
}

    section.banner a {
        color: var(--white);
        text-decoration: underline;
    }

/*#endregion*/

/*#region Services */

section.services {
    background-color: var(--lightgrey);
    min-height: 100px;
}

/*#endregion*/

/*#region Block*/

.block-container {
    width: 100%;
    min-height: 100px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: stretch;
    padding: 2rem 1rem;
}

    .block-container .block-half {
        width: 50%;
        min-height: 100px;
        flex-basis: 50%;
        flex-grow: 1;
    }

        .block-container .block-half:nth-child(2) {
            border-left: 1px solid var(--darkgrey);
            position: relative;
        }

            .block-container .block-half:nth-child(2):before {
                content: '';
                border-left: 1px solid var(--white);
                position: absolute;
                top: 0;
                bottom: 0;
                left: -2px;
            }

        .block-container .block-half .block-half-content-container {
            display: flex;
            flex-direction: row;
            align-items: stretch;
        }

            .block-container .block-half .block-half-content-container.left {
                justify-content: flex-end;
                padding-right: 3rem;
            }

            .block-container .block-half .block-half-content-container.right {
                justify-content: flex-start;
                padding-left: 3rem;
            }

            .block-container .block-half .block-half-content {
                padding-left: 80px;
                max-width: 400px;
                position: relative;
            }

                .block-container .block-half .block-half-content:before {
                    content: '';
                    width: 60px;
                    height: 60px;
                    background-repeat: no-repeat;
                    background-size: 60px auto;
                    background-position: center center;
                    position: absolute;
                    left: 0px;
                }

                    .block-container .block-half .block-half-content.times:before {
                        background-image: url(../images/icon-times.png);
                    }

                    .block-container .block-half .block-half-content.locations:before {
                        background-image: url(../images/icon-locations.png);
                    }

            .block-container .block-half .block-half-content span {
                display: block;
            }

/*#endregion*/

/*#region Welcome*/

section.welcome {
    background-color: var(--white);
    text-align: center;
    padding: 50px 50px 20px 50px;
}

    .welcome-container {
        width: 55%;
        margin: 0 auto;
    }

/*#endregion*/

/*#region Explore*/

section.explore {
    background-color: var(--lightgrey);
    text-align: center;
    padding: 50px 50px 20px 50px;
}

/*#endregion*/

/*#region Card */

.cards-container {
    width: 60%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    align-content: flex-start;
    row-gap: 30px;
    column-gap: 20px;
    margin: 40px auto;
}

    .cards-container .item {
        flex-grow: 0;
        flex-basis: auto;
        width: 260px;
        height: 175px;
        position: relative;
        text-align: left;
        text-decoration: none;
        border: 1px solid var(--midgrey);
        border-radius: 5px;
        box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.2);
        /*background-color: var(--midgrey);*/
        background: linear-gradient(to left,rgba(54,194,182,0.96) 0,rgba(62,188,207,0.96) 100%);
        transition: all 250ms linear;
    }

        .cards-container .item:hover .card-title {
            color: var(--teal) !important;
            transition: all 250ms linear;
        }

        /*.cards-container .item:before {
            content: '';
            border-radius: 50%;
            width: 100px;
            height: 100px;
            display: block;
            background-color: var(--white);
            position: absolute;
            top: 15px;
            left: calc(50% - 50px);
        }*/

        .cards-container .item:after {
            content: '';
            width: 100px;
            height: 100px;
            display: block;
            position: absolute;
            top: 20px;
            left: calc(50% - 50px);
            background-repeat: no-repeat;
            background-size: 100px auto;
            background-position: center center;
        }

            .cards-container .item.about:after {
                background-image: url('../images/icon-about.png');
            }

            .cards-container .item.dundonald:after {
                background-image: url('../images/icon-dundonald.png');
            }

            .cards-container .item.symington:after {
                background-image: url('../images/icon-symington.png');
            }

            .cards-container .item.life:after {
                background-image: url('../images/icon-life.png');
            }

            .cards-container .item.contact:after {
                background-image: url('../images/icon-contact.png');
            }

            .cards-container .item.safeguarding:after {
                background-image: url('../images/icon-safeguarding.png');
            }

            .cards-container .item.children:after {
                background-image: url('../images/icon-children.png');
            }

            .cards-container .item.calendar:after {
                background-image: url('../images/icon-calendar.png');
            }

    .cards-container .card-title {
        position: absolute;
        bottom: -1px;
        left: -1px;
        right: -1px;
        padding: 10px;
        color: var(--text);
        font-size: var(--font-size-subheading);
        font-weight: var(--font-weight-subheading);
        background-color: var(--white);
        border-bottom-left-radius: 5px;
        border-bottom-right-radius: 5px;
        transition: all 250ms linear;
    }

/*#endregion*/

/*#region Footer*/

footer {
    background-color: var(--footerbg);
    min-height: 100px;
}

.footer-container {
    width: 55%;
    min-height: 100px;
    margin: 0 auto;
    padding: 40px 0;
}

    .footer-container * {
        color: var(--white);
    }

    .footer-top-row, .footer-bottom-row {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: flex-start;
        align-content: flex-start;
    }

        .footer-top-row {
            border-bottom: 1px solid #5A6265;
            padding-bottom: 20px;
        }

        .footer-bottom-row {
            margin-top: 20px;
            font-size: var(--font-size-standard-small);
        }

        .footer-container div[class*='footer-cell-'] {
            flex-grow: 1;
            flex-basis: auto;
        }

            .footer-cell-left {
                text-align: left;
            }

            .footer-cell-middle {
                text-align: center;
                flex-grow: 2;
            }

            .footer-cell-right {
                text-align: right;
            }

        footer .pipe {
            margin: 0 10px;
        }

        footer .footer-link {
            color: var(--white) !important;
        }

/*#endregion*/

/*#region 2 Column Template*/

.columns-2 .main-content {
    background-color: var(--white);
    padding: 25px 30px;
    margin-right: 30px;
    width: 70%;
    min-height: 200px;
    float: left;
    border-radius: 10px;
}

    .columns-2 .main-content h1 {
        margin-bottom: 20px;
    }

.columns-2 .side-content {
    width: calc(30% - 30px);
    min-height: 200px;
    float: left;
}

    .columns-2 .side-content .title {
        background-color: var(--sidebartitlebg);
        padding: 10px 20px;
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
        color: var(--white);
    }

    .columns-2 .side-content .links {
        min-height: 100px;
        border-bottom-left-radius: 10px;
        border-bottom-right-radius: 10px;
        background-color: var(--white);
    }

        .columns-2 .side-content .links a {
            color: var(--text);
            display: block;
            padding: 10px 20px;
            transition: all 250ms linear;
        }

            .columns-2 .side-content .links a:hover {
                background-color: var(--lightgrey);
                color: var(--teal);
                transition: all 250ms linear;
            }

    .columns-2 .side-content .buttons {
        margin-top: 30px;
    }

        .columns-2 .side-content .buttons a {
            display: block;
            color: var(--white);
            padding: 20px;
            padding-left: 80px;
            margin-bottom: 10px;
            font-weight: 700;
            border-radius: 10px;
            transition: all 250ms linear;
            background-repeat: no-repeat;
            background-size: 40px auto;
            background-position: 20px center;
        }

            .columns-2 .side-content .buttons a:hover {
                box-shadow: 0px 5px 15px -5px var(--darkgrey);
                transition: all 250ms linear;
                transform: scale(1.05);
            }

            .columns-2 .side-content .buttons a.button-orange {
                background-color: var(--orange);
                background-image: url(../images/icon-sidebar-contact.png);
            }

            .columns-2 .side-content .buttons a.button-red {
                background-color: var(--red);
                background-image: url(../images/icon-sidebar-magazine.png);
            }

            .columns-2 .side-content .buttons a.button-teal {
                background-color: var(--teal);
                background-image: url(../images/icon-sidebar-youtube.png);
            }

/*#endregion*/

/*#region 1 Column Template*/

.columns-1 .main-content {
    background-color: var(--white);
    padding: 25px 30px;
    margin-right: 30px;
    width: 100%;
    min-height: 200px;
    float: left;
    border-radius: 10px;
}

    .columns-1 .main-content h1 {
        margin-bottom: 20px;
    }

/*#endregion*/

/*#region CDS Tabs*/

.cds-tabs-container {
    margin: 30px 0;
    position: relative;
}

.cds-tab {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    padding: 15px 20px;
    float: left;
}

    .cds-tab:hover {
        cursor: pointer;
    }

    .cds-tab.active {
        border: 1px solid var(--darkgrey);
        border-bottom: 1px solid var(--white);
    }

.cds-tabs-content {
    border: 1px solid var(--darkgrey);
    border-radius: 10px;
    padding: 20px;
    margin-top: -1px;
    display: none;
}

    .cds-tabs-content.active {
        display: block;
    }

        .cds-tabs-content.dundonald.active {
            border-top-left-radius: 0;
        }

        .cds-tabs-content .cds-tabs-content-animation {
            opacity: 0;
            transition: opacity 250ms linear;
        }

            .cds-tabs-content.active .cds-tabs-content-animation {
                opacity: 1;
                transition: opacity 250ms linear;
            }

    .map-container {
        margin-bottom: 30px;
    }

        .cds-tabs-container .map-container .gmap_canvas {
            border-radius: 10px;
        }

/*#endregion*/

/*#region Visitor Box*/

.visitor-box {
    background-color: var(--white);
    position: fixed;
    bottom: 20px;
    right: 20px;
    border-radius: 5px;
    box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.5);
}

    .visitor-box:before {
        content: "";
        width: 100px;
        height: 100px;
        border-radius: 50%;
        position: absolute;
        right: 0;
        top: -110px;
        background-color: var(--white);
        box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.5);
        background-image: url(../images/icon-visitors.png);
        background-repeat: no-repeat;
        background-size: 75px auto;
        background-position: center center;
    }

    .visitor-box a {
        padding: 15px 20px;
        float: left;
        height: 56px;
    }

        .visitor-box a.close {
            background-image: url(../images/icon-close.png);
            background-repeat: no-repeat;
            background-size: 24px auto;
            background-position: 15px center;
            opacity: 0.35;
            transition: opacity 250ms linear;
        }

            .visitor-box a.close:hover {
                opacity: 0.5;
                transition: opacity 250ms linear;
            }

/*#endregion*/

/*#region Menu*/

/*.header-menu-bar {
background: linear-gradient(to left,rgba(54,194,182,0.96) 0,rgba(62,188,207,0.96) 100%);
border-bottom: 1px solid rgba(0,0,0,.1);
box-shadow: 0 1px 1px 0 rgba(0,0,0,.1);
display: block;
position: fixed;
width: 100%;
z-index: 1000;
}*/

.header-menu-bar {
    position: relative;
    z-index: 1000;
}

nav {
    position: relative;
}

nav ul {
    list-style: none;
}

    nav > ul {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        list-style: none;
        margin: 0;
        padding: 0;
    }

        nav > ul > li {
            flex: 0 1 auto;
            margin: 0;
            padding: 0;
            height: 50px;
            position: relative;
            transition: all 250ms linear;
        }

            nav > ul > li:hover {
                background-color: var(--lightgrey);
            }

                nav > ul > li:hover > a {
                    color: var(--teal) !important;
                }

nav > ul > li a + div {
    background-color: var(--lightgrey);
    display: none;
    position: absolute;
    width: max-content;
    text-align: left;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

nav > ul > li:hover a + div {
    display: block;
}

nav > ul > li a + div > ul {
    list-style-type: none;
    padding-left: 0;
}

nav > ul > li a + div > ul > li {
margin: 0;
padding: 0;
}

    nav > ul > li a + div > ul > li > a {
        color: var(--text) !important;
        display: block;	
        padding: 10px 20px;
        text-decoration: none;
        transition: all 250ms linear;
    }

        nav > ul > li a + div > ul > li:hover > a {
            background-color: var(--white);
            color: var(--teal) !important;
            transition: all 250ms linear;
        }

            nav > ul > li a + div > ul > li:hover a:last-of-type {
                border-bottom-left-radius: 10px;
                border-bottom-right-radius: 10px;
            }

nav > ul > li > a {
    align-items: flex-start;
    color: var(--white) !important;
    display: flex;
    /*max-width: 130px;*/
    height: 50px;
    line-height: 50px;
    text-decoration: none;
    padding: 0 15px;
    transition: all 250ms linear;
}

/*#endregion*/

/*#region Contact Form*/

.contactform {
    padding: 30px;
    background-color: var(--lightgrey);
    border-radius: 10px;
}

    .contactform > div {
        padding-bottom: 15px;
    }

        .contactform > div.fb_invalid input {
            outline: 2px solid var(--red) !important;
            transition: all 150ms linear;
        }

    .contactform label {
        display: block !important;
    }

    .contactform input, 
    .contactform textarea {
        width: 100%;
        border: 1px solid var(--darkgrey);
        border-radius: 5px;
        padding: 10px;
        transition: all 150ms linear;
    }

        .contactform input:focus-visible,
        .contactform input:focus-within,
        .contactform input:focus,
        .contactform textarea:focus-visible,
        .contactform textarea:focus-within,
        .contactform textarea:focus {
            outline: 2px solid var(--teal);
            transition: all 150ms linear;
        }

    .contactform .contact-form-firstname,
    .contactform .contact-form-lastname, 
    .contactform .contact-form-email, 
    .contactform .contact-form-phone {
        width: calc(50% - 15px);
        float: left;
    }

        .contactform .contact-form-firstname,
        .contactform .contact-form-email {
            margin-right: 15px;
        }

        .contactform .contact-form-lastname,
        .contactform .contact-form-phone {
            margin-left: 15px;
        }

    .contactform input.fbsubmit {
        background-color: var(--teal);
        color: var(--white);
        border: 2px solid var(--teal);
        transition: all 250ms linear;
    }

        .contactform input.fbsubmit:hover {
            border: 2px solid var(--teal);
            background-color: var(--white);
            color: var(--teal);
            box-shadow: 0px 5px 15px -5px var(--darkgrey);
            transition: all 250ms linear;
        }

    .error_message {
        border-radius: 10px;
        margin-bottom: 30px;
        background: color-mix(in srgb, var(--red) 25%, white);
        padding: 15px;
    }

        .error_message ul {
            margin-bottom: 0;
        }

/*#endregion*/

/*#region Mobile Menu*/

.nav-mobile {
    position: relative;
    background-color: var(--white);
    padding: 10px 0;
    border-bottom: 2px solid var(--lightgrey);
}

.nav-mobile div.parent {
    position: relative;
}

    .nav-mobile div.parent:after {
        content: "";
        width: 32px;
        height: 32px;
        position: absolute;
        top: 7px;
        right: 30px;
        background-image: url("../images/mobile-menu-chevron.png");
        background-repeat: no-repeat;
        background-position: center center;
        background-size: 24px auto;
        opacity: 0.5;
    }

        .nav-mobile div.parent.open:after {
            animation: chevron 150ms linear 1 forwards;
        }

            @keyframes chevron {
                100% {
                    transform: rotate(180deg);
                }
            }

.nav-mobile > div > div {
    padding: 10px 30px;
    transition: background-color 150ms linear;
}

    .nav-mobile > div > div.parent:hover {
        cursor: pointer;
        background-color: var(--lightgrey);
        transition: background-color 150ms linear;
    }

.nav-mobile .parent > div {
    max-height: 0;
    overflow: hidden;
    transition: max-height 500ms ease-in-out;
}

    .nav-mobile .parent.open > div {
        max-height: 500px;
        transition: max-height 500ms ease-in-out;
    }

    .nav-mobile .parent > div > div {
        padding: 10px 0;
    }

        .nav-mobile .parent > div > div.first_child {
            padding-top: 20px;
        }

        .nav-mobile .parent > div > div.last_child {
            padding-bottom: 0;
        }

.nav-mobile-button {
    height: 40px;
    line-height: 40px;
    padding-left: 60px;
    position: relative;
    color: var(--teal);
}

    .nav-mobile-button:before {
        content: "";
        width: 40px;
        height: 40px;
        border: 1px solid var(--darkgrey);
        border-radius: 5px;
        display: block;
        position: absolute;
        left: 10px;
        background-image: url('../images/mobile-menu-burger.png');
        background-repeat: no-repeat;
        background-position: center center;
        background-size: 24px auto;
        opacity: 0.5;
    }

        .nav-mobile-button.open:before {
            background-image: url('../images/mobile-menu-close.png');
        }

    .nav-mobile-button:hover {
        cursor: pointer;
    }

    .nav-mobile-button + div {
        max-height: 0;
        overflow: hidden;
        transition: max-height 500ms ease-in-out;
    }

        .nav-mobile-button.open + div {
            max-height: 1000px;
            transition: max-height 250ms ease-in-out;
        }

/*#endregion*/

